Bug 870119 - after upgrading to kernel 3.6.2, there are many udevd timeout error messages
after upgrading to kernel 3.6.2, there are many udevd timeout error messages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 11:15 EDT by Andrew J. Schorr
Modified: 2012-11-29 12:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 12:03:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from dmesg command after booting into 3.6.2-1.fc16.x86_64 (84.61 KB, text/plain)
2012-11-29 11:16 EST, Andrew J. Schorr
no flags Details
output from "lspci -nnvv" after booting into 3.6.2-1.fc16.x86_64 (39.35 KB, text/plain)
2012-11-29 11:18 EST, Andrew J. Schorr
no flags Details
output from "lspci -nnvv" under 3.4.11-1.fc16.x86_64 (39.39 KB, text/plain)
2012-11-29 11:19 EST, Andrew J. Schorr
no flags Details

  None (edit)
Description Andrew J. Schorr 2012-10-25 11:15:04 EDT
Description of problem: I just upgraded to the new kernel-3.6.2-1.fc16.x86_64.  When I rebooted my machine into the new kernel, the boot process was quite slow,
and there are continual messages logged similar to these two:

Oct 25 11:11:37 ti5 udevd[582]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027D8sv0000107Bsd00006048bc04sc03i00' [615]
Oct 25 11:11:37 ti5 udevd[594]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027DAsv0000107Bsd00006048bc0Csc05i00' [633]

These 2 errors are each logged over and over again.  It is still happening
right now.


Version-Release number of selected component (if applicable):
kernel-3.6.2-1.fc16.x86_64
udev-173-3.fc16.x86_64


How reproducible: Reboot the system.


Steps to Reproduce:
1. Install new kernel and reboot.
2.  See many errors in /var/log/messages.
3.
  
Actual results: Repeated errors from udevd.


Expected results: No error messages.


Additional info:
Comment 1 Andrew J. Schorr 2012-10-25 11:16:33 EDT
Note: I upgraded 2 other systems which do not have this problem.

I am downgrading to the previous kernel.

Regards,
Andy
Comment 2 Andrew J. Schorr 2012-10-25 11:41:55 EDT
These error messages were occurring once per second.  For example:

Oct 25 11:24:00 ti5 udevd[594]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027DAsv0000107Bsd00006048bc0Csc05i00' [633]
Oct 25 11:24:00 ti5 udevd[582]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027D8sv0000107Bsd00006048bc04sc03i00' [615]
Oct 25 11:24:01 ti5 udevd[594]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027DAsv0000107Bsd00006048bc0Csc05i00' [633]
Oct 25 11:24:01 ti5 udevd[582]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027D8sv0000107Bsd00006048bc04sc03i00' [615]
Oct 25 11:24:02 ti5 udevd[594]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027DAsv0000107Bsd00006048bc0Csc05i00' [633]
Oct 25 11:24:02 ti5 udevd[582]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027D8sv0000107Bsd00006048bc04sc03i00' [615]
Oct 25 11:24:03 ti5 udevd[582]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027D8sv0000107Bsd00006048bc04sc03i00' [615]
Oct 25 11:24:03 ti5 udevd[594]: [ID daemon.err] timeout: killing '/sbin/modprobe -bv pci:v00008086d000027DAsv0000107Bsd00006048bc0Csc05i00' [633]
...
Comment 3 Josh Boyer 2012-11-28 09:42:30 EST
Can you attach the dmesg from boot and the output of 'sudo lspci -nnvv' from the machine you see this on?
Comment 4 Andrew J. Schorr 2012-11-29 11:16:45 EST
Created attachment 654395 [details]
output from dmesg command after booting into 3.6.2-1.fc16.x86_64
Comment 5 Andrew J. Schorr 2012-11-29 11:18:14 EST
Created attachment 654397 [details]
output from "lspci -nnvv" after booting into 3.6.2-1.fc16.x86_64
Comment 6 Andrew J. Schorr 2012-11-29 11:19:10 EST
Created attachment 654399 [details]
output from "lspci -nnvv" under 3.4.11-1.fc16.x86_64
Comment 7 Andrew J. Schorr 2012-11-29 11:35:47 EST
I just upgraded to 3.6.7-4.fc16.x86_64, and that one seems to work fine.  I don't see any modprobe error messages with this kernel.
Comment 8 Josh Boyer 2012-11-29 12:03:41 EST
(In reply to comment #7)
> I just upgraded to 3.6.7-4.fc16.x86_64, and that one seems to work fine.  I
> don't see any modprobe error messages with this kernel.

OK, thanks for letting us know.  If you see it again, please reopen.

Note You need to log in before you can comment on or make changes to this bug.